package query;
import java.sql.Connection;
import java.sql.DataSet;
import java.sql.DriverManager;
import java.sql.SQLException;
public class QueryDemo {

    public static void main(String[] args) {

        Connection connection = null;
        try {
            String url = "jdbc:inetdae7:localhost:1433?"
                    + "database=Adaptor";
            String login = "sa";
            String password = "admin";
            connection = DriverManager.getConnection(url, login,
                    password);

            // Create Query object
            RoleQueries qo = connection
                    .createQueryObject(RoleQueries.class);

            // Get all roles
            DataSet<Role> rows = qo.getAllRoles();
            for (Role role : rows) {
                System.out.println(role);
            }

            // Create new Role object
            if (! rows.isReadOnly()) {
                System.out.println("\nCreate new role");
                Role r = new Role();
                r.role_id = 12345;
                r.name = "Supervisor";
                r.description = "Do monitoring job";
    
                boolean insertResult = rows.insert(r);
                rows.sync(connection);
                System.out.println("\tInserted: " + insertResult);
            }

            // Retrieve Role by name
            System.out.println("\nGet role by name:");
            DataSet<Role> rows2 = qo.getRoleByName("Supervisor");
            Role role = rows2.get(0);
            System.out.println(role);

            if (role != null) {
                // Modify Role
                System.out.println("\nModify current role:");
                role.description = "Do supervising job";
                boolean modifyResult = rows2.modify(role);
                rows2.sync(connection);
                System.out.println("\tModified: " + modifyResult);
            }
        } catch (SQLException e) {

            for (Throwable t : e) {
                t.printStackTrace();
            }
        } finally {

            // Close connection
            try {
                connection.close();
            } catch (SQLException e) {
                e.printStackTrace();
            }
        }
    }
}
